Bug 115332 - smbpasswd removes all user descriptions from smbpasswd file if user is deleted
smbpasswd removes all user descriptions from smbpasswd file if user is deleted
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-02-10 16:41 EST by David Lawrence
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:30:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2004-02-10 16:41:38 EST
Description of problem:
When migrating from /etc/passwd to a smbpasswd file using
mksmbpasswd.sh, it places the user description as the last slot on
each line. When performing other actions such as enabling/disabling,
changing passwords, etc. the values are left untouched. When you
delete a user using the -x <username> switch, it removes the user
description from each line. You can see this by viewing the smbpasswd
file in a text editor. Funny though if you do a pdbedit -v <username>
it still shows the desc so it must be pulling it from /etc/passwd if
the desc field in smbpasswd is blank.

Version-Release number of selected component (if applicable):
Comment 1 Simo Sorce 2007-10-15 17:52:26 EDT
This seem to be a very old bug, but I spotted it only today.
If mksmbpasswd.sh does that, it is wrong, the smbpasswd file syntax has no place
for the user description.
Comment 2 RHEL Product and Program Management 2007-10-19 15:30:13 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.